package faktapp;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.xml.ws.WebServiceRef;

@ManagedBean
@RequestScoped
public class FaktBean {

    public FaktBean() { }
    
    int n;
    long result;
    
    public int getN() { return n; }
    public void setN(int newN) { n = newN; }
    
    public long getResult() { return result; }
    public void setResult(long newResult) { result = newResult; }
    
    @WebServiceRef(wsdlLocation = "http://kempelen.ii.fmph.uniba.sk:8080/FaktorialService/Faktorial?wsdl")
    private Faktorial_Service faktorialService;
    
    public void compute() 
    {
        Faktorial faktorial = faktorialService.getFaktorialPort();
        
        result = faktorial.faktorial(n);
    }
}
